﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Printing
{
    public class ViewModel : INotifyPropertyChanged
    {
        public ViewModel()
        {
            orderCollection = new ObservableCollection<Model>();
            this.GenerateOrders();
        }

        private ObservableCollection<Model> orderCollection;

        public ObservableCollection<Model> OrderInfoCollection
        {
            get { return orderCollection; }
            set
            {
                orderCollection = value;
                RaiseNotifyChanged("OrderInfoCollection");
            }
        }
        public event PropertyChangedEventHandler PropertyChanged;

        public void RaiseNotifyChanged(String prop)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(prop));
            }
        }

        private void GenerateOrders()
        {
            orderCollection.Add(new Model(1001, "Maria Anders", "www.google.com", "ALFKI", 30, true, new DateTime(2015, 02, 28)));
            orderCollection.Add(new Model(1002, "Maria Anders", "www.google.com", "ALFKI", 30, true, new DateTime(2015, 02, 28)));
            orderCollection.Add(new Model(1003, "Essential WPF is a comprehensive collection of over 100+ enterprise-grade WPF components for building modern Desktop applications.", "www.google.com", "ALFKI", 30, true, new DateTime(2015, 02, 28)));
            orderCollection.Add(new Model(1004, "Maria Anders", "www.google.com", "ALFKI", 30, true, new DateTime(2015, 02, 28)));
            orderCollection.Add(new Model(1005, "Maria Anders", "www.google.com", "ALFKI", 30, true, new DateTime(2015, 02, 28)));
            orderCollection.Add(new Model(1006, "Maria Anders", "www.google.com", "ALFKI", 30, true, new DateTime(2015, 02, 28)));
            orderCollection.Add(new Model(1007, "Maria Anders", "www.google.com", "ALFKI", 30, true, new DateTime(2015, 02, 28)));
            orderCollection.Add(new Model(1008, "Maria Anders", "www.google.com", "ALFKI", 30, true, new DateTime(2015, 02, 28)));
            orderCollection.Add(new Model(1009, "Maria Anders", "www.google.com", "ALFKI", 30, true, new DateTime(2015, 02, 28)));
            orderCollection.Add(new Model(1010, "Maria Anders", "www.google.com", "ALFKI", 30, true, new DateTime(2015, 02, 28)));
            orderCollection.Add(new Model(1011, "Maria Anders", "www.google.com", "ALFKI", 30, true, new DateTime(2015, 02, 28)));
        }
    }
}
